'use strict';
function logToHTML(message, output) {
    const HTMLoutput =  document.getElementById(output);
    HTMLoutput.innerHTML = message;
}

document.getElementById('calender').onchange = function () {
    // gets and prints out the selected date
    const calenderDate = new Date(this.value);
    logToHTML(calenderDate, 'output');

    const year = calenderDate.getFullYear();
    let valentines = new Date(year, 1, 14);
    let halloween = new Date(year, 9, 31);
    let christmas = new Date(year, 11, 25);

    // checks if the selected date is 
    if (calenderDate > valentines) {
        valentines = new Date(year + 1, 1, 14);
    }

    if (calenderDate > halloween) {
        halloween = new Date(year + 1, 9, 31);
    }

    if (calenderDate > christmas) {
        christmas = new Date(year + 1, 11, 25);
    }

    // calculates the time and puts it into days
    const diffTimeV = valentines - calenderDate;
    const daysUntilValentines = Math.round(diffTimeV / (1000 * 60 * 60 * 24));

    const diffTimeH = halloween - calenderDate;
    const daysUntilHalloween = Math.round(diffTimeH / (1000 * 60 * 60 * 24));

    const diffTimeC = christmas - calenderDate;
    const daysUntilChristmas = Math.round(diffTimeC / (1000 * 60 * 60 * 24));

    // prints out the days
    logToHTML(daysUntilValentines, 'outputV');
    logToHTML(daysUntilHalloween, 'outputH');
    logToHTML(daysUntilChristmas, 'outputC');
};
